System Requirements and Supported Platforms

System Requirements and Supported Platforms
HID_SystemReqs
This topic describes the system requirements for the platforms that are supported by both CA Workload Automation System Agent Version 11.4.00 and agent plug-ins. To obtain system requirements information for earlier releases of the agent, see Minimum Recommended Hardware and Software Requirements by Agent Version. For supported platforms, see Workload Automation Agent Platform Support Matrix.
Minimum System Requirements for the Agent
At a minimum, the CA Workload Automation Agent requires the following system resources:
  • CPU: two cores, 1.5 GHz each
  • Memory: 2 GB
  • Disk: 250 MB
Based on your workload volume and environment, you might require more disk space. Factors in your environment, such as job load and number of file monitor and object monitor triggers influence the capacity.
JRE Requirements
The agent requires a Java Runtime Environment (JRE) to function. The agent installs a JRE automatically for some platforms, but not all. For those platforms where the agent does not install a JRE, you must have JRE 1.7 or later already installed. JRE 1.7 is the minimum that is required for the agent.
The agent does not install a JRE for the following platforms. On these platforms, the agent installation prompts you for a path to a JRE.
  • iSeries
  • HPE Integrity NonStop
  • Linux – z/Linux, Linux PPC, and Linux PPCLE
iSeries
CA Workload Automation Agent for iSeries requires the following environments:
  • J2SE 7.0 32-bit
    To install the agent on iSeries systems, you must have J2SE 7.0 32-bit installed. And the JAVA_HOME environment variable must be set to JDK 1.7, for example:
    JAVA_HOME= /QOpenSys/QIBM/ProdData/JavaVM/jdk70/32bit
  • PASE (5722SS1 - Portable Application Solutions Environment, option 33)
  • TCP/IP (5722-TC1) or TCP/IP (5722-AC1, AC2 or AC3) if you are using the agent to run SSL FTP workload
  • Installation of the latest iSeries CUM distribution
  • The required group PTF levels for your iSeries system
Supported Platforms
The agent supports i5 systems that run iSeries, Version V7R1 or higher. The agent runs only when ASCII is used as the primary language. The agent is not supported under the following conditions:
  • A double-byte character set (DBCS) is used as the primary language.
  • A job uses a DBCS locale as an attribute.
  • The locale for the user profile is a DBCS.
Related Topics